# Custom Skeleton Project

### `app-tools` Commands
* `app-tools new-app <app name> [-t --title --description]`
* `app-tools publish-app [-e -n -u -p --dir]`*
* `app-tools remove-app-remote [-e -n -u -p]`*^
* `app-tools list-apps [-e -n -u -p]`*
* `app-tools add-profile <full profile name> [-e -n -u -p]`*
* `app-tools remove-profile <full profile name> [-e -n -u -p]`*
* `app-tools list-profiles [-e -n -u -p]`*

*command must be run in the directory of the app you are want to publish/update.
^currently doesn't work

### Process of Development
1. `rbc-cli init`
2. Put in environment credentials to rbc-project.json
3. `app-tools --help` to see the commands available
4. `app-tools new-app <app name>` to download an app skeleton project. NOTE: The
optional flag (-t custom | angular) allows the user to pick between a custom
project or an angular project. It defaults to custom if none specified.
5. Develop
6. Put production ready app files into www/. This is what the `app-tools publish-app`
command will zip up and send to the server.
7. `app-tools publish-app`
8. `app-tools list-apps` to check if app record was created in the cloud.
Or you can go to the following endpoint: https://api.platform.com/apps/<app name>
9. Create profile by using `rbc-cli`
10. `app-tools add-profile <profile name>`
11. Go to the following endpoint to see your app (make sure you are logged in)
https://api.platform.com/apps/<app name>/index.html


### Contract
* html file must be called index.html. It must reside in the root of the app folder.
* If you want to include an app icon for the menu screen,
 icon.* must be located at the root of the app folder.


## TODO
* app-generator